;
; QPEG386 video driver
; for Cirrus Logic CL-GD 542X chipsets
; with up to 1 Mb of video memory.
;
; Modified by Ben Jos Walbeehm (Walbeehm@fsw.ruu.nl).
; The 1280x1024x16 mode now works correctly.
; November 21, 1993.
;

        .286
Code    Segment Para 'Code'
        Assume  cs:Code
        Org 100h

Procs   dw      Bank,Init,Exit,0

Bank:   shl     al,4
        push    ax
        mov     dx,03ceh
        mov     al,9
        out     dx,al
        inc     dx
        pop     ax
        out     dx,al
        dec     dx
        mov     al,8
        out     dx,al
        retf

Init:   mov     dx,03c4h
        mov     al,6
        out     dx,al
        inc     dx
        mov     al,12h
        out     dx,al
        retf

Exit:   retf

Code    Ends
        End Procs

; End of source.
